TestTagUtils (Struts Taglib 1.3.10 Test API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.taglib
Class TestTagUtils

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.apache.struts.taglib.TagTestBase
                  org.apache.struts.taglib.TestTagUtils

All Implemented Interfaces:
  junit.framework.Test

    public class TestTagUtils

extends TagTestBase

Unit tests for the TagUtils.

Field Summary

Fields inherited from class org.apache.struts.taglib.TagTestBase
`moduleConfig, moduleConfig2, moduleConfig3, pageContext, request, servletConfig, servletContext, tagutils`

Constructor Summary
`TestTagUtils(String theName)` Defines the testcase name for JUnit.

Method Summary
`void` | `donttestMessagePageBadKey()`
`static void` | `main(String[] theArgs)` Start the tests.
`void` | `skiptestComputeParametersParamIdAsStringArray()`
`static junit.framework.Test` | `suite()`
`void` | `test_boolean_isXhtml_PageContext()`
`void` | `test_Object_lookup_PageContext_String__String1()`
`void` | `test_Object_lookup_PageContext_String__String2()`
`void` | `test_Object_lookup_PageContext_String__String3()`
`void` | `test_Object_lookup_PageContext_String_String_String1()`
`void` | `test_Object_lookup_PageContext_String_String_String2()`
`void` | `test_Object_lookup_PageContext_String_String_String3()`
`void` | `testActionMessages_getActionMessages_PageContext_String1()`
`void` | `testActionMessages_getActionMessages_PageContext_String2()`
`void` | `testActionMessages_getActionMessages_PageContext_String3()`
`void` | `testActionMessages_getActionMessages_PageContext_String4()`
`void` | `testActionMessages_getActionMessages_PageContext_String5()`
`void` | `testActionMessages_getActionMessages_PageContext_String6()`
`void` | `testComputeParameters0a()`
`void` | `testComputeParameters0b()`
`void` | `testComputeParameters1a()`
`void` | `testComputeParameters1b()`
`void` | `testComputeParameters1c()`
`void` | `testComputeParameters2a()`
`void` | `testComputeParameters2b()`
`void` | `testComputeParameters2c()`
`void` | `testComputeParameters2d()`
`void` | `testComputeParameters3a()`
`void` | `testComputeParameters3aa()`
`void` | `testComputeParameters3b()`
`void` | `testComputeParametersBeanNotFound()`
`void` | `testComputeParametersInvalidScope()`
`void` | `testComputeParametersParamIdParamPropThrowException()`
`void` | `testComputeParametersParamValueToString()`
`void` | `testComputeParametersPropertyThrowsException()`
`void` | `testComputeURL1a()`
`void` | `testComputeURL1b()`
`void` | `testComputeURL1c()`
`void` | `testComputeURL1d()`
`void` | `testComputeURL1e()`
`void` | `testComputeURL1f()`
`void` | `testComputeURL1g()`
`void` | `testComputeURL1h()`
`void` | `testComputeURL2a()`
`void` | `testComputeURL2b()`
`void` | `testComputeURL2c()`
`void` | `testComputeURL2d()`
`void` | `testComputeURL2e()`
`void` | `testComputeURL2f()`
`void` | `testComputeURL2g()`
`void` | `testComputeURL2h()`
`void` | `testComputeURL3a()`
`void` | `testComputeURL3b()`
`void` | `testComputeURL3c()`
`void` | `testComputeURL3d()`
`void` | `testComputeURL3e()`
`void` | `testComputeURL3f()`
`void` | `testComputeURL3g()`
`void` | `testComputeURL3h()`
`void` | `testComputeURL3i()`
`void` | `testComputeURL3j()`
`void` | `testComputeURL3k()`
`void` | `testComputeURL3l()`
`void` | `testComputeURL3m()`
`void` | `testComputeURLCharacterEncoding()`
`void` | `testComputeURLCharacterEncodingAction()`
`void` | `testComputeURLCharacterEncodingMultipleSpecifier()`
`void` | `testencodeURL1()`
`void` | `testFilter()` Test Operators.
`void` | `testGetActionErrors1a()`
`void` | `testGetActionErrors1b()`
`void` | `testGetActionErrors1c()`
`void` | `testGetActionErrors1d()`
`void` | `testGetActionErrors1e()`
`void` | `testGetActionMappingName1()`
`void` | `testLocale_getUserLocale_PageContext_String()`
`void` | `testMessageApplicationBadKey()`
`void` | `testMessageApplicationGoodKey()`
`void` | `testMessageApplicationGoodKeyWithNullParams()`
`void` | `testMessageApplicationGoodKeyWithParams()`
`void` | `testMessageBadParams()` Testing message() public String message( PageContext pageContext, String bundle, String locale, String key) throws JspException
`void` | `testMessageRequestBadKey()`
`void` | `testMessageRequestGoodKey()`
`void` | `testMessageRequestGoodKeyWithNullParams()` Tests for: public String message( PageContext pageContext, String bundle, String locale, String key, Object args[]) throws JspException
`void` | `testMessageRequestGoodKeyWithParams()`
`void` | `testMessageSessionBadKey()`
`void` | `testModuleConfig_getModuleConfig_PageContext()`
`void` | `testOverrideInstance()`
`void` | `testPageURL1()`
`void` | `testPageURL2()`
`void` | `testPageURL3a()`
`void` | `testPageURL3b()`
`void` | `testPresentBadKey()`
`void` | `testPresentGoodKey()`
`void` | `testPresentNulls()` Tests for: public boolean present( PageContext pageContext, String bundle, String locale, String key) throws JspException {
`void` | `testString_getActionMappingURL_String_PageContext()`
`void` | `testString_getActionMappingURL_String_String_PageContext_boolean1()`
`void` | `testString_getActionMappingURL_String_String_PageContext_boolean2()`
`void` | `testString_getActionMappingURL_String_String_PageContext_boolean3()`
`void` | `testString_getActionMappingURL_String_String_PageContext_boolean4()`
`void` | `testString_getActionMappingURL_String_String_PageContext_boolean5()`
`void` | `testString_getActionMappingURL_String_String_PageContext_boolean6()`
`void` | `testWrite()`
`void` | `testWriteNullParams()` public void write(PageContext pageContext, String text) throws JspException {
`void` | `testWritePrevious()`
`void` | `testWritePreviousBody()`
`void` | `testWritePreviousThrowException()`
`void` | `testWriteThrowException()`

Methods inherited from class org.apache.struts.taglib.TagTestBase
`putBundleInScope, setUp, tearDown`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TestTagUtils

    public TestTagUtils(String theName)

  Defines the testcase name for JUnit.

  Parameters:
    `theName` - the testcase's name.

Method Detail

### main

    public static void main(String[] theArgs)

  Start the tests.

  Parameters:
    `theArgs` - the arguments. Not used

### suite

    public static junit.framework.Test suite()

  Returns:
    a test suite (`TestSuite`) that includes all methods starting with "test"

### testFilter

    public void testFilter()

  Test Operators.

### testComputeParameters0a

    public void testComputeParameters0a()

### testComputeParameters0b

    public void testComputeParameters0b()

### testComputeParametersInvalidScope

    public void testComputeParametersInvalidScope()

### testComputeParametersBeanNotFound

    public void testComputeParametersBeanNotFound()

### testComputeParametersPropertyThrowsException

    public void testComputeParametersPropertyThrowsException()

### testComputeParametersParamIdParamPropThrowException

    public void testComputeParametersParamIdParamPropThrowException()

### testComputeParametersParamValueToString

    public void testComputeParametersParamValueToString()

### skiptestComputeParametersParamIdAsStringArray

    public void skiptestComputeParametersParamIdAsStringArray()

### testComputeParameters1a

    public void testComputeParameters1a()

### testComputeParameters1b

    public void testComputeParameters1b()

### testComputeParameters1c

    public void testComputeParameters1c()

### testComputeParameters2a

    public void testComputeParameters2a()

### testComputeParameters2b

    public void testComputeParameters2b()

### testComputeParameters2c

    public void testComputeParameters2c()

### testComputeParameters2d

    public void testComputeParameters2d()

### testComputeParameters3a

    public void testComputeParameters3a()

### testComputeParameters3aa

    public void testComputeParameters3aa()

### testComputeParameters3b

    public void testComputeParameters3b()

### testComputeURL1a

    public void testComputeURL1a()

### testComputeURL1b

    public void testComputeURL1b()

### testComputeURL1c

    public void testComputeURL1c()

### testComputeURL1d

    public void testComputeURL1d()

### testComputeURL1e

    public void testComputeURL1e()

### testComputeURL1f

    public void testComputeURL1f()

### testComputeURL1g

    public void testComputeURL1g()

### testComputeURL1h

    public void testComputeURL1h()

### testComputeURL2a

    public void testComputeURL2a()

### testComputeURL2b

    public void testComputeURL2b()

### testComputeURL2c

    public void testComputeURL2c()

### testComputeURL2d

    public void testComputeURL2d()

### testComputeURL2e

    public void testComputeURL2e()

### testComputeURL2f

    public void testComputeURL2f()

### testComputeURL2g

    public void testComputeURL2g()

### testComputeURL2h

    public void testComputeURL2h()

### testComputeURL3a

    public void testComputeURL3a()

### testComputeURL3b

    public void testComputeURL3b()

### testComputeURL3c

    public void testComputeURL3c()

### testComputeURL3d

    public void testComputeURL3d()

### testComputeURL3e

    public void testComputeURL3e()

### testComputeURL3f

    public void testComputeURL3f()

### testComputeURL3g

    public void testComputeURL3g()

### testComputeURL3h

    public void testComputeURL3h()

### testComputeURL3i

    public void testComputeURL3i()

### testComputeURL3j

    public void testComputeURL3j()

### testComputeURL3k

    public void testComputeURL3k()

### testComputeURL3l

    public void testComputeURL3l()

### testComputeURL3m

    public void testComputeURL3m()

### testComputeURLCharacterEncoding

    public void testComputeURLCharacterEncoding()

### testComputeURLCharacterEncodingMultipleSpecifier

    public void testComputeURLCharacterEncodingMultipleSpecifier()

### testComputeURLCharacterEncodingAction

    public void testComputeURLCharacterEncodingAction()

### testPageURL1

    public void testPageURL1()

### testPageURL2

    public void testPageURL2()

### testPageURL3a

    public void testPageURL3a()

### testPageURL3b

    public void testPageURL3b()

### testencodeURL1

    public void testencodeURL1()

### testGetActionErrors1a

    public void testGetActionErrors1a()

### testGetActionErrors1b

    public void testGetActionErrors1b()

### testGetActionErrors1c

    public void testGetActionErrors1c()

### testGetActionErrors1d

    public void testGetActionErrors1d()

### testGetActionErrors1e

    public void testGetActionErrors1e()

### testGetActionMappingName1

    public void testGetActionMappingName1()

### testString_getActionMappingURL_String_PageContext

    public void testString_getActionMappingURL_String_PageContext()

### testString_getActionMappingURL_String_String_PageContext_boolean1

    public void testString_getActionMappingURL_String_String_PageContext_boolean1()

### testString_getActionMappingURL_String_String_PageContext_boolean2

    public void testString_getActionMappingURL_String_String_PageContext_boolean2()

### testString_getActionMappingURL_String_String_PageContext_boolean3

    public void testString_getActionMappingURL_String_String_PageContext_boolean3()

### testString_getActionMappingURL_String_String_PageContext_boolean4

    public void testString_getActionMappingURL_String_String_PageContext_boolean4()

### testString_getActionMappingURL_String_String_PageContext_boolean5

    public void testString_getActionMappingURL_String_String_PageContext_boolean5()

### testString_getActionMappingURL_String_String_PageContext_boolean6

    public void testString_getActionMappingURL_String_String_PageContext_boolean6()

### testActionMessages_getActionMessages_PageContext_String1

    public void testActionMessages_getActionMessages_PageContext_String1()

### testActionMessages_getActionMessages_PageContext_String2

    public void testActionMessages_getActionMessages_PageContext_String2()

### testActionMessages_getActionMessages_PageContext_String3

    public void testActionMessages_getActionMessages_PageContext_String3()

### testActionMessages_getActionMessages_PageContext_String4

    public void testActionMessages_getActionMessages_PageContext_String4()

### testActionMessages_getActionMessages_PageContext_String5

    public void testActionMessages_getActionMessages_PageContext_String5()

### testActionMessages_getActionMessages_PageContext_String6

    public void testActionMessages_getActionMessages_PageContext_String6()

### testModuleConfig_getModuleConfig_PageContext

    public void testModuleConfig_getModuleConfig_PageContext()

### testLocale_getUserLocale_PageContext_String

    public void testLocale_getUserLocale_PageContext_String()

### test_boolean_isXhtml_PageContext

    public void test_boolean_isXhtml_PageContext()

### test_Object_lookup_PageContext_String__String1

    public void test_Object_lookup_PageContext_String__String1()

### test_Object_lookup_PageContext_String__String2

    public void test_Object_lookup_PageContext_String__String2()

### test_Object_lookup_PageContext_String__String3

    public void test_Object_lookup_PageContext_String__String3()

### test_Object_lookup_PageContext_String_String_String1

    public void test_Object_lookup_PageContext_String_String_String1()

### test_Object_lookup_PageContext_String_String_String2

    public void test_Object_lookup_PageContext_String_String_String2()

### test_Object_lookup_PageContext_String_String_String3

    public void test_Object_lookup_PageContext_String_String_String3()

### testMessageBadParams

    public void testMessageBadParams()

  Testing message() public String message( PageContext pageContext, String bundle, String locale, String key) throws JspException

### donttestMessagePageBadKey

    public void donttestMessagePageBadKey()

### testMessageRequestBadKey

    public void testMessageRequestBadKey()

### testMessageSessionBadKey

    public void testMessageSessionBadKey()

### testMessageApplicationBadKey

    public void testMessageApplicationBadKey()

### testMessageRequestGoodKey

    public void testMessageRequestGoodKey()

### testMessageApplicationGoodKey

    public void testMessageApplicationGoodKey()

### testMessageRequestGoodKeyWithNullParams

    public void testMessageRequestGoodKeyWithNullParams()

  Tests for: public String message( PageContext pageContext, String bundle, String locale, String key, Object args[]) throws JspException

### testMessageApplicationGoodKeyWithNullParams

    public void testMessageApplicationGoodKeyWithNullParams()

### testMessageRequestGoodKeyWithParams

    public void testMessageRequestGoodKeyWithParams()

### testMessageApplicationGoodKeyWithParams

    public void testMessageApplicationGoodKeyWithParams()

### testPresentNulls

    public void testPresentNulls()

  Tests for: public boolean present( PageContext pageContext, String bundle, String locale, String key) throws JspException {

### testPresentBadKey

    public void testPresentBadKey()

### testPresentGoodKey

    public void testPresentGoodKey()

### testWriteNullParams

    public void testWriteNullParams()

  public void write(PageContext pageContext, String text) throws JspException {

### testWrite

    public void testWrite()

### testWriteThrowException

    public void testWriteThrowException()

### testWritePrevious

    public void testWritePrevious()

### testWritePreviousThrowException

    public void testWritePreviousThrowException()

### testWritePreviousBody

    public void testWritePreviousBody()

### testOverrideInstance

    public void testOverrideInstance()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.